//
//  AdTrackingRepository.swift
//  SodaLive
//
//  Created by klaus on 3/26/25.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class AdTrackingRepository {
    private let api = MoyaProvider<AdTrackingApi>()
    
    func adTrackingAppLaunch(pid: String) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.appLaunch(pid: pid))
    }
}
